Publishers
Get a list of publishers connected to your application.
get
Authorizations
AuthorizationstringRequired
This API uses JWT for Authentication/Authorisation (please see jwt.io for further details).
The token can be obtained via the SMX Subscriber Admin portal.
The request header must be in the following format (where 'token' is the encoded JWT string):
Authorization: Bearer token
The decoded JWT must include the following claims for it to be accepted by the API:
- iat - Token issued time
- jti - ID of the token
- aud - Audience of the token. This API expects the value to be 'subscriberx/api'.
- sub - Subject of the token. This API expects the value to be the code of the subscriber.
Example of JWT claims in a decoded token for the subscriber with code 'subscriberCode':
{
'iat': 1576812219,
'jti': 'e07f7327-490c-4dd7-8d63-c1bdd1f93001',
'aud': 'subscriberx/api',
'sub': 'subscriberCode'
}
Responses
200
OK
application/json
401
Not Authorised
application/json
403
Do not have access to the specified resource
application/json
429
Exceeded API quota for the time period
application/json
500
Internal Server Error
application/json
get
/publishersLast updated
Was this helpful?